canmenu=true

local flag1=true;
local flag2=false;
local flag3=false;
local frame = 0;


playeffect("105")
SemiClosePlushes();
function gameinput (sender,obj_id,attachedID)


-----------------------------------------------------------------------------------------------------------------------
	if sender==33 then
	
	
		if plushes_were_closed then
			LevelComplete();
			

		else
			DrawSkipButton();
			StartTimer(1000,3);
		end;
	end;
	
	
-----------------------------------------------------------------------------------------------------------------------
	
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
	
		
	
	if obj_id==skip_id then

			CloseComPlash()	
		
		return;end;
		
		
	return;end;

	
	if sender ==36 then
	if flag1==true then
	flag1=false;
	speciale_action(2,obj.kadr2.id,1);
	speciale_action(2,obj.kadr1.id,2);

		flag2=true;	
		ScaleObject(obj.kadr2.id,1,1.2,5,500,384);
		speciale_action(2,500);
		StartTimer(1001,3)
	return;end;
	
	if flag2==true then	
	 flag2=false;
	
	 speciale_action(2,obj.kadr3.id,1);
	speciale_action(2,obj.kadr2.id,2); 
	 ScaleObject(obj.kadr3.id,1,1.1,5,500,384);
	 flag3=true;
	 StartTimer(1002,3);
	return;end;
	
	if flag3==true then	
	 flag3=false;	
		
	 speciale_action(2,obj.kadr4.id,1);
	speciale_action(2,obj.kadr3.id,2); 
	 ScaleObject(obj.kadr4.id,1,1.1,5,500,384);
	 flag4=true;
	 StartTimer(1003,3);
	
	return;end;
	if flag4==true then	
	 flag4=false;	
	 CloseComPlash()	
	 return;end;
	
	return;end;

	
	if sender ==16 then
	
	return;end;
	if sender == 6 then
	
	
	
	if frame ==0 then
	
	frame = frame +1;
	return;end;
	
	if frame ==1 then
	frame = frame +1;
	
	return;end;
	
	
		return; end;
		
	
end
